> ## Documentation Index
> Fetch the complete documentation index at: https://www.klavis.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Initialize slack sandbox with data

> Initialize the sandbox with slack-specific data following the defined schema.



## OpenAPI

````yaml post /sandbox/slack/{sandbox_id}/initialize
openapi: 3.1.0
info:
  title: Klavis AI (https://www.klavis.ai)
  description: Klavis AI - Open Source MCP Integrations for AI Applications
  version: 0.1.0
servers:
  - url: https://api.klavis.ai
    description: US Production server
  - url: https://api.eu.klavis.ai
    description: EU Production server
security: []
paths:
  /sandbox/slack/{sandbox_id}/initialize:
    post:
      tags:
        - sandbox
      summary: Initialize slack sandbox with data
      description: >-
        Initialize the sandbox with slack-specific data following the defined
        schema.
      operationId: initialize_sandbox_sandbox_slack__sandbox_id__initialize_post
      parameters:
        - name: sandbox_id
          in: path
          required: true
          schema:
            type: string
            description: The unique sandbox identifier
            title: Sandbox Id
          description: The unique sandbox identifier
        - name: init_default_data
          in: query
          required: false
          schema:
            type: boolean
            description: If true, use default test data for initialization
            default: false
            title: Init Default Data
          description: If true, use default test data for initialization
      requestBody:
        content:
          application/json:
            schema:
              anyOf:
                - $ref: '#/components/schemas/SlackData-Input'
                - type: 'null'
              title: Request Body
            examples:
              default:
                summary: Example initialization data
                value:
                  channels:
                    - name: sandbox-test
                      description: Company-wide announcements and work-based matters
                      is_private: false
                      messages:
                        - text: Welcome to the new Slack workspace!
                          reactions:
                            - name: wave
                            - name: tada
                        - text: Thanks! Excited to be here.
                          reactions:
                            - name: '+1'
                    - name: project-alpha
                      description: Discussion for Project Alpha
                      is_private: false
                      messages:
                        - text: Has anyone seen the latest specs?
                          reactions: []
                          replies:
                            - text: I have them, will share in a moment
                              reactions:
                                - name: eyes
                            - text: Thanks! That would be great.
                        - text: Here are the project specs...
                          reactions:
                            - name: rocket
                    - name: sandbox-test-private
                      description: Top secret stuff
                      is_private: true
                      messages:
                        - text: This is confidential information
                          reactions:
                            - name: shushing_face
                          replies:
                            - text: Got it, keeping this private
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InitializeSandboxResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    SlackData-Input:
      properties:
        channels:
          anyOf:
            - items:
                $ref: '#/components/schemas/SlackChannel-Input'
              type: array
            - type: 'null'
          title: Channels
          description: List of channels
      type: object
      title: SlackData
      description: |-
        Complete Slack sandbox data structure.

        Hierarchy:
        - Channels contain Messages
        - Messages can have Reactions and Replies (threads)
    InitializeSandboxResponse:
      properties:
        sandbox_id:
          type: string
          title: Sandbox Id
          description: Sandbox identifier
        status:
          $ref: '#/components/schemas/SandboxStatus'
          description: Current status
        message:
          type: string
          title: Message
          description: Initialization result message
      type: object
      required:
        - sandbox_id
        - status
        - message
      title: InitializeSandboxResponse
      description: Response model for sandbox initialization
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SlackChannel-Input:
      properties:
        name:
          type: string
          title: Name
          description: Channel name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: Channel description/purpose
        is_private:
          type: boolean
          title: Is Private
          description: Whether the channel is private
          default: false
        messages:
          anyOf:
            - items:
                $ref: '#/components/schemas/SlackMessage-Input'
              type: array
            - type: 'null'
          title: Messages
          description: Messages in this channel
      type: object
      required:
        - name
      title: SlackChannel
      description: Slack Channel (Conversation) object
    SandboxStatus:
      type: string
      enum:
        - idle
        - occupied
        - error
      title: SandboxStatus
      description: Status of a sandbox instance - matches database enum
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    SlackMessage-Input:
      properties:
        text:
          type: string
          title: Text
          description: Message text content
        reactions:
          anyOf:
            - items:
                $ref: '#/components/schemas/SlackReaction-Input'
              type: array
            - type: 'null'
          title: Reactions
          description: Reactions to this message
        replies:
          anyOf:
            - items:
                $ref: '#/components/schemas/SlackMessage-Input'
              type: array
            - type: 'null'
          title: Replies
          description: Thread replies to this message
      type: object
      required:
        - text
      title: SlackMessage
      description: Slack Message object
    SlackReaction-Input:
      properties:
        name:
          type: string
          title: Name
          description: Emoji name (without colons, e.g., 'thumbsup')
      type: object
      required:
        - name
      title: SlackReaction
      description: Slack Reaction object
  securitySchemes:
    HTTPBearer:
      type: http
      description: Your Klavis AI API key.
      scheme: bearer
      x-fern-bearer:
        name: api_key

````